Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QSlider.TickPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QSlider.TickPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSlider

    public static final class QSlider.TickPosition

extends java.lang.Enum
implements QtEnumerator

This enum specifies where the tick marks are to be drawn relative to the slider's groove and the handle the user moves.

See Also:
  Serialized Form

Field Summary
`static QSlider.TickPosition` | `NoTicks` Do not draw any tick marks.
`static QSlider.TickPosition` | `TicksAbove` Draw tick marks above the (horizontal) slider
`static QSlider.TickPosition` | `TicksBelow` Draw tick marks below the (horizontal) slider
`static QSlider.TickPosition` | `TicksBothSides` Draw tick marks on both sides of the groove.

Method Summary
`static QSlider.TickPosition` | `resolve(int value)` Returns the QSlider$TickPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSlider.TickPosition` | `valueOf(java.lang.String name)`
`static QSlider.TickPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoTicks

    public static final QSlider.TickPosition NoTicks

  Do not draw any tick marks.

### TicksAbove

    public static final QSlider.TickPosition TicksAbove

  Draw tick marks above the (horizontal) slider

### TicksBelow

    public static final QSlider.TickPosition TicksBelow

  Draw tick marks below the (horizontal) slider

### TicksBothSides

    public static final QSlider.TickPosition TicksBothSides

  Draw tick marks on both sides of the groove.

Method Detail

### values

    public static QSlider.TickPosition[] values()

### valueOf

    public static QSlider.TickPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSlider.TickPosition resolve(int value)

  Returns the QSlider$TickPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD